    var pValue=0.5 
    var maxListSize=1000 
    var stddevMultiplier=3.0 
    var enableOutliers=false 
    
    // Feature parameters
    var fe;
    var fp = null;
    var resamplingRate=44100
    var minFreq=20
    var maxFreq=20000
    var windowSizeMsec=40
    var windowShiftMsec=windowSizeMsec * 50/100.0 
    var featureLen=128
    var transform=null
    var useDiskCache=false
    var featureExtractor='LogMel'
    var normalizeProcessor='false'
    var deltaProcessor='false'
    // Define the feature extractor
    if (featureExtractor === 'FFT') {
      fe = new FFTFeatureExtractor(resamplingRate, minFreq, maxFreq, false, true, featureLen)
    } else if (featureExtractor === 'LogMel') {
    	fe = new LogMelFeatureExtractor(resamplingRate, featureLen, minFreq, maxFreq, 0)
    } else {	// MFCC
      fe = new MFCCFeatureExtractor(resamplingRate, featureLen, minFreq, maxFreq, featureLen);
    }
    // Define the feature processor 
    if (normalizeProcessor === 'true')  
    	fp = new NormalizingFeatureProcessor(true,true,true,true)
    if (deltaProcessor === 'true')  {
      var dfp = new DeltaFeatureProcessor(2,[1,1,1]);
    	if (fp != null) 
    	    fp = new PipelinedFeatureProcessor(fp,dfp)
    	else
    	    fp = dfp
    }
    // Build the feature gram extractor 
    var fge = new FeatureGramDescriptor(windowSizeMsec, windowShiftMsec, fe, fp); 
    
    var builder = new LpDistanceMergeKNNClassifierBuilder()
    builder.setEnableOutlierDetection(enableOutliers)
    builder.setParamP(pValue)
    builder.setMaxListSize(maxListSize)
    if (enableOutliers)  // Can't set multipler if outliers is not enabled.
      builder.setStdDevFactor(stddevMultiplier); 
    builder.setFeatureGramDescriptor(fge);
    var classifier = builder.build();
